From 004d6bfdc51ddcacec616bed945904b0e3965e10 Mon Sep 17 00:00:00 2001
From: Peter Lemenkov <lemenkov@gmail.com>
Date: Mon, 23 Aug 2010 19:20:39 +0400
Subject: [PATCH] Remove bundled udns

Signed-off-by: Peter Lemenkov <lemenkov@gmail.com>
---
 Makefile.am                  |    6 +-
 configure.ac                 |    1 -
 source/init.cxx              |    2 +-
 udns/Makefile.am             |   84 ---
 udns/source/.cvsignore       |    9 -
 udns/source/COPYING.LGPL     |  504 ----------------
 udns/source/Makefile         |  132 -----
 udns/source/NEWS             |   53 --
 udns/source/NOTES            |  193 ------
 udns/source/TODO             |   74 ---
 udns/source/debian/changelog |   94 ---
 udns/source/debian/control   |   33 -
 udns/source/debian/copyright |   24 -
 udns/source/debian/rules     |   91 ---
 udns/source/dnsget.1         |  182 ------
 udns/source/dnsget.c         |  709 ----------------------
 udns/source/ex-rdns.c        |  111 ----
 udns/source/rblcheck.1       |  151 -----
 udns/source/rblcheck.c       |  364 ------------
 udns/source/udns.3           | 1284 ----------------------------------------
 udns/source/udns.h           |  736 -----------------------
 udns/source/udns_bl.c        |  160 -----
 udns/source/udns_dn.c        |  382 ------------
 udns/source/udns_dntosp.c    |   30 -
 udns/source/udns_misc.c      |   67 ---
 udns/source/udns_parse.c     |  169 ------
 udns/source/udns_resolver.c  | 1342 ------------------------------------------
 udns/source/udns_rr_a.c      |  124 ----
 udns/source/udns_rr_mx.c     |   91 ---
 udns/source/udns_rr_naptr.c  |  128 ----
 udns/source/udns_rr_ptr.c    |  109 ----
 udns/source/udns_rr_srv.c    |  154 -----
 udns/source/udns_rr_txt.c    |   98 ---
 33 files changed, 4 insertions(+), 7687 deletions(-)
 delete mode 100644 udns/Makefile.am
 delete mode 100644 udns/source/.cvsignore
 delete mode 100644 udns/source/COPYING.LGPL
 delete mode 100755 udns/source/Makefile
 delete mode 100644 udns/source/NEWS
 delete mode 100644 udns/source/NOTES
 delete mode 100644 udns/source/TODO
 delete mode 100644 udns/source/debian/changelog
 delete mode 100644 udns/source/debian/control
 delete mode 100644 udns/source/debian/copyright
 delete mode 100755 udns/source/debian/rules
 delete mode 100644 udns/source/dnsget.1
 delete mode 100644 udns/source/dnsget.c
 delete mode 100644 udns/source/ex-rdns.c
 delete mode 100644 udns/source/rblcheck.1
 delete mode 100644 udns/source/rblcheck.c
 delete mode 100644 udns/source/udns.3
 delete mode 100644 udns/source/udns.h
 delete mode 100644 udns/source/udns_bl.c
 delete mode 100644 udns/source/udns_dn.c
 delete mode 100644 udns/source/udns_dntosp.c
 delete mode 100644 udns/source/udns_misc.c
 delete mode 100644 udns/source/udns_parse.c
 delete mode 100644 udns/source/udns_resolver.c
 delete mode 100644 udns/source/udns_rr_a.c
 delete mode 100644 udns/source/udns_rr_mx.c
 delete mode 100644 udns/source/udns_rr_naptr.c
 delete mode 100644 udns/source/udns_rr_ptr.c
 delete mode 100644 udns/source/udns_rr_srv.c
 delete mode 100644 udns/source/udns_rr_txt.c

diff --git a/Makefile.am b/Makefile.am
index c0fb0a3..dd529d9 100644
--- a/Makefile.am
+++ b/Makefile.am
@@ -1,17 +1,17 @@
 pkgconfigdir = $(libdir)/pkgconfig
 
-SUBDIRS = udns win32 . examples include m4 tests debian
+SUBDIRS = win32 . examples include m4 tests debian
 DIST_SUBDIRS = $(SUBDIRS)
 EXTRA_DIST = libmnetutil.spec
 
-AM_CPPFLAGS = $(MINISIP_CFLAGS) -I$(srcdir)/include -I$(srcdir)/udns/source
+AM_CPPFLAGS = $(MINISIP_CFLAGS) -I$(srcdir)/include
 
 pkgconfig_DATA = libmnetutil.pc
 
 lib_LTLIBRARIES = libmnetutil.la
 # libmnetutil_la_CPPFLAGS = 
 libmnetutil_la_LDFLAGS = $(MINISIP_LIBRARY_LDFLAGS)
-libmnetutil_la_LIBADD = udns/libudns.la  $(LTLIBOBJS) $(MINISIP_LIBS) $(LDAP_LIBS)
+libmnetutil_la_LIBADD = -ludns  $(LTLIBOBJS) $(MINISIP_LIBS) $(LDAP_LIBS)
 libmnetutil_la_DEPENDENCIES = $(LTLIBOBJS)
 
 libmnetutil_la_SOURCES = $(mnetutil_src)
diff --git a/configure.ac b/configure.ac
index fae7740..4a54aac 100644
--- a/configure.ac
+++ b/configure.ac
@@ -105,7 +105,6 @@ AC_CONFIG_FILES([
 		include/Makefile 
 		m4/Makefile 
 		tests/Makefile
-		udns/Makefile
 		debian/Makefile
 		win32/Makefile 
 		win32/libmnetutil-res.rc
diff --git a/source/init.cxx b/source/init.cxx
index ca5d9b4..79fe030 100644
--- a/source/init.cxx
+++ b/source/init.cxx
@@ -34,7 +34,7 @@ LIBMNETUTIL_API void libmnetutilInit()
 	if( g_initialized++ > 0 )
 		return;
 
-	if( dns_init(0) < 0 ) {
+	if( dns_init(0, 0) < 0 ) {
 		g_initialized--;
 		throw Exception( "libmnetutil udns initialization failed" );
 	}
